Bug 175934 - Evolution crashes when rendering a particular email
Evolution crashes when rendering a particular email
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-16 10:00 EST by Thilo Pfennig
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 13:14:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this seems to be the evil mail (4.02 KB, message/rfc822)
2005-12-16 10:36 EST, Thilo Pfennig
no flags Details

  None (edit)
Description Thilo Pfennig 2005-12-16 10:00:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When opening the Inbox of my IMAP server Evolution crashes. The Inbox is only one of many folders. I do not have the problem with other folders.

Version-Release number of selected component (if applicable):
evolution-2.2.3-2.fc4

How reproducible:
Always

Steps to Reproduce:
1. open evolution
2. click on Inbox in may imap account

  

Actual Results:  Evolution crashes

Expected Results:  Evolution should stay alive :-9

Additional info:

it crashes and gdb says:
[New Thread -1263359056 (LWP 2829)]
update flow align
update flow align
update flow align
update flow align
p token: align=center
update flow align
update flow align

(evolution:2813): camel-CRITICAL **: camel_object_is: assertion `o != NULL' fail ed

camel-ERROR **: file camel-internet-address.c: line 328 (camel_internet_address_ get): assertion failed: (CAMEL_IS_INTERNET_ADDRESS(a))
aborting...

Program received signal SIGABRT, Aborted.
[Switching to Thread -1246172240 (LWP 2825)]
0x00a94402 in __kernel_vsyscall ()

(gdb) thread apply all bt

Thread 9 (Thread -1263359056 (LWP 2829)):
#0  0x00a94402 in __kernel_vsyscall ()
#1  0x00b55a5c in poll () from /lib/libc.so.6
#2  0x00c30328 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0x00c307c3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#4  0x001583de in link_thread_io_context () from /usr/lib/libORBit-2.so.0
#5  0x00c48ffa in g_static_private_free () from /usr/lib/libglib-2.0.so.0
#6  0x00943b80 in start_thread () from /lib/libpthread.so.0
#7  0x00b5f9ce in clone () from /lib/libc.so.6

Thread 8 (Thread -1254966352 (LWP 2828)):
#0  0x00a94402 in __kernel_vsyscall ()
#1  0x009457a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x05d4b3c7 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.4
#3  0x05d4babd in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
#4  0x00943b80 in start_thread () from /lib/libpthread.so.0
#5  0x00b5f9ce in clone () from /lib/libc.so.6

Thread 7 (Thread -1246172240 (LWP 2825)):
#0  0x00a94402 in __kernel_vsyscall ()
#1  0x00abd118 in raise () from /lib/libc.so.6
#2  0x00abe888 in abort () from /lib/libc.so.6
#3  0x00c363b1 in g_logv () from /usr/lib/libglib-2.0.so.0
#4  0x00c363e5 in g_log () from /usr/lib/libglib-2.0.so.0
#5  0x00c36451 in g_assert_warning () from /usr/lib/libglib-2.0.so.0
#6  0x05e1bd8e in camel_internet_address_get () from /usr/lib/libcamel-1.2.so.0
#7  0x0609f89e in em_utils_in_addressbook ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#8  0x060879b5 in em_format_html_job_queue ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#9  0x06088c04 in em_format_html_job_queue ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#10 0x060aa0f9 in mail_enable_stop ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#11 0x05d4ba51 in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
#12 0x00943b80 in start_thread () from /lib/libpthread.so.0
#13 0x00b5f9ce in clone () from /lib/libc.so.6

Thread 6 (Thread -1237304400 (LWP 2824)):
#0  0x00a94402 in __kernel_vsyscall ()
#1  0x009457a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x05d4b3c7 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.4
#3  0x05d4babd in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
#4  0x00943b80 in start_thread () from /lib/libpthread.so.0
#5  0x00b5f9ce in clone () from /lib/libc.so.6
Thread 5 (Thread -1237304400 (LWP 2822)):
#0  0x00a94402 in __kernel_vsyscall ()
#1  0x009457a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x05d4b3c7 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.4
#3  0x05d4babd in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
#4  0x00943b80 in start_thread () from /lib/libpthread.so.0
#5  0x00b5f9ce in clone () from /lib/libc.so.6

Thread 4 (Thread -1228911696 (LWP 2821)):
#0  0x00a94402 in __kernel_vsyscall ()
#1  0x009457a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x05d4b3c7 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.4
#3  0x05d4babd in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
#4  0x00943b80 in start_thread () from /lib/libpthread.so.0
#5  0x00b5f9ce in clone () from /lib/libc.so.6

Thread 3 (Thread -1220518992 (LWP 2820)):
#0  0x00a94402 in __kernel_vsyscall ()
#1  0x009457a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x05d4b3c7 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.4
#3  0x05d4babd in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
#4  0x00943b80 in start_thread () from /lib/libpthread.so.0
#5  0x00b5f9ce in clone () from /lib/libc.so.6

Thread 2 (Thread -1212126288 (LWP 2819)):
#0  0x00a94402 in __kernel_vsyscall ()
#1  0x009457a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x05d4b3c7 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.4
#3  0x05d4babd in e_thread_busy () from /usr/lib/libedataserver-1.2.so.4
#4  0x00943b80 in start_thread () from /lib/libpthread.so.0
#5  0x00b5f9ce in clone () from /lib/libc.so.6

Thread 1 (Thread -1208736064 (LWP 2813)):
#0  0x00a94402 in __kernel_vsyscall ()
#1  0x00947f91 in __lll_mutex_unlock_wake () from /lib/libpthread.so.0
#2  0x00944e88 in _L_mutex_unlock_148 () from /lib/libpthread.so.0
#3  0xbfa6cc98 in ?? ()
#4  0x05d4b13c in e_msgport_put () from /usr/lib/libedataserver-1.2.so.4
#5  0x05d4b13c in e_msgport_put () from /usr/lib/libedataserver-1.2.so.4
#6  0x05d4b4ec in e_msgport_reply () from /usr/lib/libedataserver-1.2.so.4
#7  0x0609c947 in em_sync_stream_get_type ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#8  0x00c534fc in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#9  0x00c2d4ce in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#10 0x00c304d6 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#11 0x00c307c3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#12 0x001b0625 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#13 0x08063940 in main ()
Comment 1 Dave Malcolm 2005-12-16 10:05:48 EST
Thanks for this bug report.

It looks like evolution may be having a problem with displaying the preview of a
specific email message.  Try selecting another folder, then disabling the mail
preview pane (using "View -> Message Preview").  Is the problem with a specific
email, or more generalized?
Comment 2 Thilo Pfennig 2005-12-16 10:36:22 EST
Created attachment 122326 [details]
this seems to be the evil mail
Comment 3 Thilo Pfennig 2005-12-16 10:38:39 EST
I think I have got the beast. I could save it via Thunderbird. I disabled the
previoew pane in Evolution and opened one mail after the other. This mail
resulted into a freeze of the whole GNOME. I hav to switch to the bash
(Ctrl-ALT-F1) to kill evolution. Than I could click close application again in
GNOME. What a mail...
Comment 4 Dave Malcolm 2005-12-16 10:42:54 EST
Thanks; am investigating...
Comment 7 Ola Thoresen 2006-10-23 04:39:56 EDT
Not sure if this is the same bug, but I think this one is a 64 bit issue:

(From the terminal if I start evolution there:
 GLib-ERROR **: gmem.c:135: failed to allocate 18446744073691383253 bytes
aborting...

- The management here denied my request for more RAM... =;-)

$ rpm -qa | grep evolution
evolution-data-server-1.8.0-11.fc6
evolution-debuginfo-2.8.0-7.fc6
evolution-devel-2.8.0-7.fc6
evolution-data-server-devel-1.8.0-11.fc6
evolution-2.8.0-7.fc6
evolution-data-server-debuginfo-1.8.0-11.fc6


As far as I know, the mail is displayed correctly on i386.


Backtrace:

Distribution: Fedora Core release 5.92 (FC6 Test3)
Gnome Release: 2.16.0 2006-09-04 (Red Hat, Inc)
BugBuddy Version: 2.16.0

Memory status: size: 710459392 vsize: 710459392 resident: 34086912 share:
19247104 rss: 34086912 rss_rlim: -1
CPU usage: start_time: 1161592411 rtime: 400 utime: 357 stime: 43 cutime:1
cstime: 2 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/evolution'

Using host libthread_db library "/lib64/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 46912517502736 (LWP 29751)]
[New Thread 1189394752 (LWP 32165)]
[New Thread 1178904896 (LWP 31298)]
[New Thread 1178638656 (LWP 31285)]
[New Thread 1168148800 (LWP 31284)]
[New Thread 1157658944 (LWP 31254)]
[New Thread 1147169088 (LWP 31253)]
[New Thread 1136679232 (LWP 31169)]
[New Thread 1126189376 (LWP 31022)]
[New Thread 1115699520 (LWP 30948)]
[New Thread 1105209664 (LWP 30898)]
[New Thread 1094719808 (LWP 30742)]
[New Thread 1084229952 (LWP 30741)]
0x00002aaaab437b56 in poll () from /lib64/libc.so.6
#0  0x00002aaaab437b56 in poll () from /lib64/libc.so.6
#1  0x000000335482fbce in g_main_context_check () from /lib64/libglib-2.0.so.0
#2  0x000000335483008a in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x0000003361a2d0e6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#4  0x00000000004158b0 in main (argc=1, argv=0x7fffa3c85488) at main.c:615
#5  0x00002aaaab390a44 in __libc_start_main () from /lib64/libc.so.6
#6  0x0000000000409b99 in _start ()

Thread 13 (Thread 1084229952 (LWP 30741)):
#0  0x00002aaaaacd0416 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x00000033548113c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00000033672148b9 in e_msgport_wait (msgport=0x759ef0) at e-msgport.c:694
	msg = (EMsg *) 0x0
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#3  0x0000003367214e4c in thread_dispatch (din=<value optimized out>)
    at e-msgport.c:1073
	e = (EThread *) 0x75ad60
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 1084229952
#4  0x00002aaaaaccc305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00002aaaab44062d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 12 (Thread 1094719808 (LWP 30742)):
#0  0x00002aaaaacd0416 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x00000033548113c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00000033672148b9 in e_msgport_wait (msgport=0x759ef0) at e-msgport.c:694
	msg = (EMsg *) 0x0
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#3  0x0000003367214e4c in thread_dispatch (din=<value optimized out>)
    at e-msgport.c:1073
	e = (EThread *) 0x75ad60
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 1094719808
#4  0x00002aaaaaccc305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00002aaaab44062d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 11 (Thread 1105209664 (LWP 30898)):
#0  0x00002aaaab437b56 in poll () from /lib64/libc.so.6
No symbol table info available.
#1  0x000000335482fbce in g_main_context_check () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x000000335483008a in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x000000336a203413 in libnm_glib_init () from /usr/lib64/libnm_glib.so.0
No symbol table info available.
#4  0x0000003354848f24 in g_thread_create_full () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x00002aaaaaccc305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#6  0x00002aaaab44062d in clone () from /lib64/libc.so.6
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 10 (Thread 1115699520 (LWP 30948)):
#0  0x00002aaaaacd0416 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x00000033548113c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00000033672148b9 in e_msgport_wait (msgport=0x759ef0) at e-msgport.c:694
	msg = (EMsg *) 0x0
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#3  0x0000003367214e4c in thread_dispatch (din=<value optimized out>)
    at e-msgport.c:1073
	e = (EThread *) 0x75ad60
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 1115699520
#4  0x00002aaaaaccc305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00002aaaab44062d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 9 (Thread 1126189376 (LWP 31022)):
#0  0x00002aaaaacd0416 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x00000033548113c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00000033672148b9 in e_msgport_wait (msgport=0x759e00) at e-msgport.c:694
	msg = (EMsg *) 0x0
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#3  0x0000003367214e4c in thread_dispatch (din=<value optimized out>)
    at e-msgport.c:1073
	e = (EThread *) 0x7c79e0
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 1126189376
#4  0x00002aaaaaccc305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00002aaaab44062d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 8 (Thread 1136679232 (LWP 31169)):
#0  0x00002aaaaacd0416 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x00000033548113c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00000033672148b9 in e_msgport_wait (msgport=0x759ef0) at e-msgport.c:694
	msg = (EMsg *) 0x0
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#3  0x0000003367214e4c in thread_dispatch (din=<value optimized out>)
    at e-msgport.c:1073
	e = (EThread *) 0x75ad60
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 1136679232
#4  0x00002aaaaaccc305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00002aaaab44062d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 7 (Thread 1147169088 (LWP 31253)):
#0  0x00002aaaaacd0416 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x00000033548113c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00000033672148b9 in e_msgport_wait (msgport=0x759ef0) at e-msgport.c:694
	msg = (EMsg *) 0x0
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#3  0x0000003367214e4c in thread_dispatch (din=<value optimized out>)
    at e-msgport.c:1073
	e = (EThread *) 0x75ad60
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 1147169088
#4  0x00002aaaaaccc305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00002aaaab44062d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 6 (Thread 1157658944 (LWP 31254)):
#0  0x00002aaaaacd0416 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x00000033548113c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00000033672148b9 in e_msgport_wait (msgport=0x759ef0) at e-msgport.c:694
	msg = (EMsg *) 0x0
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#3  0x0000003367214e4c in thread_dispatch (din=<value optimized out>)
    at e-msgport.c:1073
	e = (EThread *) 0x75ad60
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 1157658944
#4  0x00002aaaaaccc305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00002aaaab44062d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 5 (Thread 1168148800 (LWP 31284)):
#0  0x00002aaaaacd0416 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x00000033548113c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00000033672148b9 in e_msgport_wait (msgport=0x759ef0) at e-msgport.c:694
	msg = (EMsg *) 0x0
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#3  0x0000003367214e4c in thread_dispatch (din=<value optimized out>)
    at e-msgport.c:1073
	e = (EThread *) 0x75ad60
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 1168148800
#4  0x00002aaaaaccc305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00002aaaab44062d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 4 (Thread 1178638656 (LWP 31285)):
#0  0x00002aaaaacd0416 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x00000033548113c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00000033672148b9 in e_msgport_wait (msgport=0x759ef0) at e-msgport.c:694
	msg = (EMsg *) 0x0
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#3  0x0000003367214e4c in thread_dispatch (din=<value optimized out>)
    at e-msgport.c:1073
	e = (EThread *) 0x75ad60
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 1178638656
#4  0x00002aaaaaccc305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00002aaaab44062d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 3 (Thread 1178904896 (LWP 31298)):
#0  0x00002aaaab437b56 in poll () from /lib64/libc.so.6
No symbol table info available.
#1  0x000000335482fbce in g_main_context_check () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x000000335483008a in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x000000335ee45870 in link_set_io_thread ()
   from /usr/lib64/libORBit-2.so.0
No symbol table info available.
#4  0x0000003354848f24 in g_thread_create_full () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x00002aaaaaccc305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#6  0x00002aaaab44062d in clone () from /lib64/libc.so.6
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (Thread 1189394752 (LWP 32165)):
#0  0x00002aaaaacd396f in waitpid () from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003362e56d07 in gnome_gtk_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x00002aaaab3a31b5 in raise () from /lib64/libc.so.6
No symbol table info available.
#4  0x00002aaaab3a4b20 in abort () from /lib64/libc.so.6
No symbol table info available.
#5  0x0000003354835050 in g_logv () from /lib64/libglib-2.0.so.0
No symbol table info available.
#6  0x00000033548350d3 in g_log () from /lib64/libglib-2.0.so.0
No symbol table info available.
#7  0x0000003354833dd9 in g_malloc () from /lib64/libglib-2.0.so.0
No symbol table info available.
#8  0x00000033548449b9 in g_strndup () from /lib64/libglib-2.0.so.0
No symbol table info available.
#9  0x00002aaab7109260 in parse_fetch_response (imap_folder=0xe2ea00, 
    response=0x0) at camel-imap-folder.c:2861
	stream = <value optimized out>
	data = (GData *) 0x121b4c0
	part_spec = 0x0
	body = 0x0
	uid = 0x852270 "24941"
	idate = <value optimized out>
	cache_header = 1
	header = 0
	body_len = 0
#10 0x00002aaab710efd9 in imap_get_message (folder=0xe2ea00, 
    uid=0x10694d0 "24941", ex=0xf9b308) at camel-imap-folder.c:2111
	body = 0x0
	found_uid = <value optimized out>
	i = 0
	response = (CamelImapResponse *) 0x11903a0
	fetch_data = (GData *) 0x0
	imap_folder = (CamelImapFolder *) 0x7437
	store = <value optimized out>
	mi = <value optimized out>
	msg = <value optimized out>
	stream = <value optimized out>
	retry = 0
#11 0x0000003368226642 in camel_folder_get_message (folder=0xe2ea00, 
    uid=0x10694d0 "24941", ex=0xf9b308) at camel-folder.c:1070
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "camel_folder_get_message"
#12 0x00002aaab4ac5995 in get_message_get (mm=0xf9b2d0) at mail-ops.c:1753
No locals.
#13 0x00002aaab4ac32b1 in mail_msg_received (e=<value optimized out>, 
    msg=<value optimized out>, data=<value optimized out>) at mail-mt.c:570
	text = 0x10130a0 "0Êk«ª*"
	m = (mail_msg_t *) 0xf9b2d0
#14 0x0000003367214e02 in thread_dispatch (din=<value optimized out>)
    at e-msgport.c:1025
	e = (EThread *) 0x7c70d0
	m = (EMsg *) 0xf9b2d0
	info = <value optimized out>
	self = 1189394752
#15 0x00002aaaaaccc305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#16 0x00002aaaab44062d in clone () from /lib64/libc.so.6
No symbol table info available.
#17 0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 46912517502736 (LWP 29751)):
#0  0x00002aaaab437b56 in poll () from /lib64/libc.so.6
No symbol table info available.
#1  0x000000335482fbce in g_main_context_check () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x000000335483008a in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x0000003361a2d0e6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
No symbol table info available.
#4  0x00000000004158b0 in main (argc=1, argv=0x7fffa3c85488) at main.c:615
	fd = <value optimized out>
	uri_list = (GSList *) 0x0
	program = (GnomeProgram *) 0x633010
	context = <value optimized out>
	icon_list = <value optimized out>
#5  0x00002aaaab390a44 in __libc_start_main () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000409b99 in _start ()
No symbol table info available.
#0  0x00002aaaab437b56 in poll () from /lib64/libc.so.6
Comment 8 Christian Iseli 2007-01-22 05:17:08 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 9 Thilo Pfennig 2007-01-22 10:34:27 EST
I am not using Fedora any more.
Comment 10 Matěj Cepl 2007-08-31 11:22:05 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 11 Matthew Barnes 2007-10-02 13:14:36 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.